| OpenSubdiv

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
GLSLPatchShaderSource Class Reference

`#include <glslPatchShaderSource.h>`

## Static Public Member Functions
static std::string | GetCommonShaderSource ()
static std::string | GetPatchBasisShaderSource ()
static std::string | GetVertexShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetTessControlShaderSource (Far::PatchDescriptor::Type type)
static std::string | GetTessEvalShaderSource (Far::PatchDescriptor::Type type)

## Detailed Description

Definition at line 37 of file glslPatchShaderSource.h.

## Member Function Documentation

## ◆ GetCommonShaderSource()

static std::string GetCommonShaderSource | ( |  | ) |
| static

## ◆ GetPatchBasisShaderSource()

static std::string GetPatchBasisShaderSource | ( |  | ) |
| static

## ◆ GetTessControlShaderSource()

static std::string GetTessControlShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## ◆ GetTessEvalShaderSource()

static std::string GetTessEvalShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

## ◆ GetVertexShaderSource()

static std::string GetVertexShaderSource | ( | Far::PatchDescriptor::Type | type | ) |
| static

The documentation for this class was generated from the following file:

- opensubdiv/osd/glslPatchShaderSource.h